games/cowsay: Updated for version 3.7.0.

Signed-off-by: bedlam <dave@slackbuilds.org>

Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
This commit is contained in:
Johannes Schoepfer 2023-01-27 05:52:01 +00:00 committed by Willy Sudiarto Raharjo
parent 38ae67221c
commit 11589f5621
No known key found for this signature in database
GPG key ID: 3F617144D7238786
3 changed files with 24 additions and 103 deletions

View file

@ -4,7 +4,7 @@
# Written by David Miller dave@frop.net
# Modified by the slackbuilds.org project.
# Copyright 2017 Johannes Schoepfer, Germany
# Copyright 2017-2023 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@ -27,15 +27,12 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=cowsay
VERSION=${VERSION:-3.03}
VERSION=${VERSION:-3.7.0}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@ -60,10 +57,25 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
patch -p1 < $CWD/cowsay.SlackBuild.patch
make install prefix=$PKG/usr
mv $PKG/usr/share/man $PKG/usr
DESTDIR=$PKG \
sh ./install.sh /usr
# add bob cow
cat << 'EOF' > $PKG/usr/share/cowsay/cows/bob.cow
##
## Slackware bob cow, probably by David Miller
##
$the_cow = <<"EOC";
$thoughts ___
$thoughts /_ _\\
$thoughts |/ ~ \\|
|'-.-`|
(|e|e|?
`._^_,'
\\\\=//
U/_/
EOC
EOF
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@ -73,7 +85,7 @@ for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; r
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
ChangeLog INSTALL LICENSE MANIFEST README pgp_public_key.txt \
ChangeLog LICENSE.txt README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild

View file

@ -1,91 +0,0 @@
diff -urN cowsay-3.03.old/cows/bob.cow cowsay-3.03.new/cows/bob.cow
--- cowsay-3.03.old/cows/bob.cow 1969-12-31 18:00:00.000000000 -0600
+++ cowsay-3.03.new/cows/bob.cow 2009-12-23 13:57:40.000000000 -0600
@@ -0,0 +1,10 @@
+$the_cow = <<"EOC";
+ $thoughts ___
+ $thoughts /_ _\\
+ $thoughts |/ ~ \\|
+ |'-.-`|
+ (|e|e|?
+ `._^_,'
+ \\\\=//
+ U/_/
+EOC
diff -urN cowsay-3.03.old/cowsay cowsay-3.03.new/cowsay
--- cowsay-3.03.old/cowsay 2000-05-19 20:29:49.000000000 -0500
+++ cowsay-3.03.new/cowsay 2009-12-23 11:32:29.000000000 -0600
@@ -16,7 +16,7 @@
$progname = basename($0);
$eyes = "oo";
$tongue = " ";
-$cowpath = $ENV{'COWPATH'} || '%PREFIX%/share/cows';
+$cowpath = $ENV{'COWPATH'} || '/usr/share/games/cows';
@message = ();
$thoughts = "";
diff -urN cowsay-3.03.old/cowsay.1 cowsay-3.03.new/cowsay.1
--- cowsay-3.03.old/cowsay.1 1999-11-04 13:50:40.000000000 -0600
+++ cowsay-3.03.new/cowsay.1 2009-12-23 13:38:08.000000000 -0600
@@ -149,12 +149,12 @@
.B PATH or
.BR MANPATH .
It should always contain the
-.B /usr/local/share/cows
+.B /usr/share/games/cows
directory, or at least a directory with a file called
.B default.cow
in it.
.SH FILES
-.B %PREFIX%/share/cows
+.B /usr/share/games/cows
holds a sample set of cowfiles. If your
.B COWPATH
is not explicitly set, it automatically contains this directory.
diff -urN cowsay-3.03.old/install.sh cowsay-3.03.new/install.sh
--- cowsay-3.03.old/install.sh 1999-11-01 14:19:21.000000000 -0600
+++ cowsay-3.03.new/install.sh 2009-12-23 11:31:34.000000000 -0600
@@ -67,26 +67,26 @@
echo Okay, time to install this puppy.
echo s,%BANGPERL%,!$usethisperl,\; > install.pl
-echo s,%PREFIX%,$PREFIX,\; >> install.pl
+#echo s,%PREFIX%,$PREFIX,\; >> install.pl
set -x
-mkdir -p $PREFIX/bin || (mkdir $PREFIX; mkdir $PREFIX/bin)
-$usethisperl -p install.pl cowsay > $PREFIX/bin/cowsay
-chmod a+x $PREFIX/bin/cowsay
-ln -s cowsay $PREFIX/bin/cowthink
-mkdir -p $PREFIX/man/man1 || ($mkdir $PREFIX; mkdir $PREFIX/man; mkdir $PREFIX/man/man1)
-$usethisperl -p install.pl cowsay.1 > $PREFIX/man/man1/cowsay.1
-chmod a+r $PREFIX/man/man1/cowsay.1
-ln -s cowsay.1 $PREFIX/man/man1/cowthink.1
-mkdir -p $PREFIX/share/cows || (mkdir $PREFIX; mkdir $PREFIX/share; mkdir $PREFIX/share/cows)
-tar -cf - $filelist | (cd $PREFIX/share && tar -xvf -)
+mkdir -p $DESTDIR/$PREFIX/games || (mkdir $DESTDIR/$PREFIX; mkdir $DESTDIR/$PREFIX/games)
+$usethisperl -p install.pl cowsay > $DESTDIR/$PREFIX/games/cowsay
+chmod a+x $DESTDIR/$PREFIX/games/cowsay
+ln -s cowsay $DESTDIR/$PREFIX/games/cowthink
+mkdir -p $DESTDIR/$PREFIX/man/man1 || ($mkdir $DESTDIR/$PREFIX; mkdir $DESTDIR/$PREFIX/man; mkdir $DESTDIR/$PREFIX/man/man1)
+$usethisperl -p install.pl cowsay.1 > $DESTDIR/$PREFIX/man/man1/cowsay.1
+chmod a+r $DESTDIR/$PREFIX/man/man1/cowsay.1
+ln -s cowsay.1 $DESTDIR/$PREFIX/man/man1/cowthink.1
+mkdir -p $DESTDIR/$PREFIX/share/games/cows || (mkdir $DESTDIR/$PREFIX; mkdir $DESTDIR/$PREFIX/share; mkdir $DESTDIR/$PREFIX/share/games; mkdir $DESTDIR/$PREFIX/share/games/cows)
+tar -cf - $filelist | (cd $DESTDIR/$PREFIX/share/games && tar -xvf -)
set +x
-echo Okay, let us see if the install actually worked.
+#echo Okay, let us see if the install actually worked.
-if [ ! -f $PREFIX/share/cows/default.cow ]; then
- echo The default cow file did not make it across!
- echo Ooops, it failed...sorry!
- exit 1
-fi
+#if [ ! -f $PREFIX/share/cows/default.cow ]; then
+# echo The default cow file did not make it across!
+# echo Ooops, it failed...sorry!
+# exit 1
+#fi
echo Installation complete! Enjoy the cows!

View file

@ -1,8 +1,8 @@
PRGNAM="cowsay"
VERSION="3.03"
VERSION="3.7.0"
HOMEPAGE="https://github.com/schacon/cowsay/"
DOWNLOAD="https://src.fedoraproject.org/repo/pkgs/cowsay/cowsay-3.03.tar.gz/b29169797359420dadb998079021a494/cowsay-3.03.tar.gz"
MD5SUM="b29169797359420dadb998079021a494"
DOWNLOAD="https://github.com/cowsay-org/cowsay/archive/v3.7.0/cowsay-3.7.0.tar.gz"
MD5SUM="4603b5f1b5fad6bd7a57951027c6e6a8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""